Vraag Hoe Firefox3.6.15 te installeren in ubuntu 14.04 LTS 64 bit OS


Onze webtoepassing voor ziekenhuizen ondersteunt alleen in versie firefox3.6.15. Help firefox3.6.15 te installeren in ubuntu14.04 LTS 64 bit-versie.

Ik heb zojuist geprobeerd om mozilla firefox 3.6.15 in Ubuntu te installeren.

De firefox-3.6.15.tar.bz2 gedownload

root@it-us-02:~/Desktop# tar xvf firefox-3.6.15.tar.bz2

root@it-us-02:~/Desktop# mv firefox /opt/firefox3.6.15

root@it-us-02:~/Desktop# ln -s /opt/firefox3.6.15/firefox /usr/bin/firefox

root@it-us-02:/opt/firefox3.6.15# ./firefox

XPCOMGlueLoad error for file /opt/firefox42/libxul.so: libasound.so.2: cannot open shared object file: No such file or directory Couldn't load XPCOM.

1
2018-05-23 07:27


oorsprong


Dat betekent dat de webapplicatie is ontworpen heel slecht. - UniversallyUniqueID
@BharadwajRaju Ik denk dat het probleem is omdat hij een tar-bestand gebruikt, in plaats van "sudo apt-get install firefox-3.6.15" te doen. - Star OS
@StarOS Is dat pakket zelfs beschikbaar? In elk geval moet elke fatsoenlijke web-app alle moderne browsers ondersteunen. - UniversallyUniqueID
@BharadwajRaju Ik weet het niet omdat ik Ubuntu niet gebruik, maar het bestaat waarschijnlijk. - Star OS


antwoorden:


Download het deb-bestand van hier

https://sourceforge.net/projects/ubuntuzilla/files/mozilla/apt/pool/main/f/firefox-mozilla-build/firefox-mozilla-build_3.6.15-0ubuntu1_i386.deb/download

Installeer het deb-bestand met

sudo dpkg -i ./firefox-mozilla-build_3.6.15-0ubuntu1_i386.deb

en IT-bedrijfskritische software moet op zijn minst de ESR-releases van firefox volgen (een browser die oud is op alles wat met internet te maken heeft, moet als een misdaad worden beschouwd)


5
2018-05-23 07:48



Meneer, ik heb zojuist het deb-bestand van het bovengenoemde pad gedownload en voer de opdracht sudo dpkg -i ./firefox-mozilla-build_3.6.15-0ubuntu1_i386.deb uit. Na het voltooien van de installatie riep firefox niet op. Help alstublieft - Sumesh
@Sumesh Wat krijg je wanneer firefox wordt uitgevoerd vanaf de opdrachtregel? - Bruni
(Lezend gegevensbestand ... 260704 bestanden en mappen momenteel geïnstalleerd.) Voorbereiden om uit te pakken ... / firefox-mozilla-build_3.6.15-0ubuntu1_i386.deb ... firefox-mozilla-build (3.6.15-0ubuntu1) uitpakken over ( 3.6.15-0ubuntu1) ... firefox-mozilla-build (3.6.15-0ubuntu1) instellen ... Triggers verwerken voor gnome-menu's (3.10.1-0ubuntu2) ... Verwerkingstriggers voor desktop-file-utils (0.22-1ubuntu1) ... Verwerkingstriggers voor bamfdaemon (0.5.1 + 14.04.20140409-0ubuntu1) ... Opnieuw opbouwen /usr/share/applications/bamf-2.index ... Verwerkingstriggers voor mime-ondersteuning (3.54 ubuntu1.1) ... - Sumesh
@Sumesh Het lijkt erop dat u het resultaat van de opdracht dpkg publiceert. Ik vraag om de output van firefox in de terminal. - Bruni
Merk ook op dat de build de bestanden mogelijk niet op de normale locaties plaatst, dus gewoon de opdracht uitvoeren firefox kan de oudere (er, nieuwere) versie oproepen. Je kan het proberen find / -name firefox -type f -ls 2>/dev/null om alle bestanden op het genoemde systeem te lokaliseren firefox, wat hopelijk een klein genoeg nummer zou moeten zijn om de nieuw geïnstalleerde kopie te lokaliseren. - Michael Kjörling